org.apache.storm.cassandra.query

## Class BaseCQLStatementTupleMapper

- java.lang.Object
- - org.apache.storm.cassandra.query.BaseCQLStatementTupleMapper

- All Implemented Interfaces:
    Serializable, CQLStatementTupleMapper

      public abstract class BaseCQLStatementTupleMapper
      extends Object
      implements CQLStatementTupleMapper, Serializable

  Default interface to map a `ITuple` to a CQL `Statement`.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.cassandra.query.CQLStatementTupleMapper

      `CQLStatementTupleMapper.DynamicCQLStatementTupleMapper`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseCQLStatementTupleMapper()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract com.datastax.driver.core.Statement` | `map(ITuple tuple)` Maps a given tuple to a single CQL statements.
    `List<com.datastax.driver.core.Statement>` | `map(Map<String,Object> conf, com.datastax.driver.core.Session session, ITuple tuple)` Maps a given tuple to one or multiple CQL statements.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseCQLStatementTupleMapper

          public BaseCQLStatementTupleMapper()

  - ### Method Detail

    - #### map

          public List<com.datastax.driver.core.Statement> map(Map<String,Object> conf,
                                                              com.datastax.driver.core.Session session,
                                                              ITuple tuple)

      Maps a given tuple to one or multiple CQL statements.

      Specified by:
        `map` in interface `CQLStatementTupleMapper`
      Parameters:
        `conf` - the storm configuration map.
        `session` - the cassandra session.
        `tuple` - the incoming tuple to map.
      Returns:
        a list of `Statement`.

    - #### map

          public abstract com.datastax.driver.core.Statement map(ITuple tuple)

      Maps a given tuple to a single CQL statements.

      Parameters:
        `tuple` - the incoming tuple to map.
      Returns:
        a list of `Statement`.

Copyright © 2021 The Apache Software Foundation. All rights reserved.